<?php

namespace Modules\User\Services;

use Illuminate\Http\Request;
use Modules\User\Interfaces\ModuleRepositoryInterface;

class ModuleService
{
    private ModuleRepositoryInterface $moduleRepository ;

    public function __construct(ModuleRepositoryInterface $moduleRepository)
    {
        $this->moduleRepository = $moduleRepository;
    }

    public function get(Request $request)
    {
        $modules = $this->moduleRepository->get($request);
        return $modules;
    }
}
